Class | PhusionPassenger::AdminTools::ServerInstance
In: | lib/phusion_passenger/admin_tools/server_instance.rb
Parent: | Object

### Methods

analytics_log_dir backtraces connect for_pid global_queue_size groups helper_server_pid list new processes stats status web_server_config_files web_server_description xml

### Classes and Modules

Class PhusionPassenger::AdminTools::ServerInstance::CorruptedDirectoryError
Class PhusionPassenger::AdminTools::ServerInstance::GenerationsAbsentError
Class PhusionPassenger::AdminTools::ServerInstance::Group
Class PhusionPassenger::AdminTools::ServerInstance::Process
Class PhusionPassenger::AdminTools::ServerInstance::RoleDeniedError
Class PhusionPassenger::AdminTools::ServerInstance::StaleDirectoryError
Class PhusionPassenger::AdminTools::ServerInstance::Stats
Class PhusionPassenger::AdminTools::ServerInstance::UnsupportedGenerationStructureVersionError

### Constants

DIR_STRUCTURE_MAJOR_VERSION | = | 1 |  | If you change the structure version then don‘t forget to change ext/common/ServerInstanceDir.h too.
DIR_STRUCTURE_MINOR_VERSION | = | 0
GENERATION_STRUCTURE_MAJOR_VERSION | = | 1
GENERATION_STRUCTURE_MINOR_VERSION | = | 0
STALE_TIME_THRESHOLD | = | 60

### Attributes

generation_path | [R] |
path | [R] |
pid | [R] |

### Public Class methods

for_pid(pid, options = {})
list(options = {})
new(path)

### Public Instance methods

analytics_log_dir()
backtraces()
connect(role_or_username, password = nil) {|self| ...}

Raises:

- `ArgumentError`: Unsupported role
- `RoleDeniedError`: The user that the current process is as is not authorized to utilize the given role.
- `EOFError`: The server unexpectedly closed the connection during authentication.
- `SecurityError`: The server denied our authentication credentials.

global_queue_size()
groups()
helper_server_pid()
processes()
stats()
status()
web_server_config_files()
web_server_description()
xml()

[Validate]